cancel
Showing results for 
Search instead for 
Did you mean: 

UE4.21 "Warning: Changing the spatialization algorithm on a playing sound is not supported" ?

jamesoloughlin
Level 3
Does anyone know what this warning means and how to fix it? Using the Oculus UE4.21 with Auido 1.34. Everything is working fine I just dislike warnings.
I get it whenever my sound cue plays.
2 REPLIES 2

Petroza
Level 7
Hi James,

I haven't seen that warning but I found it by searching through the code. It looks like that will only happen if you're using the old XAudio based audio system. If possible I recommend using the new UE4 AudioMixer, it has more features and better plugin support. It should also fix that warning you're getting.


To enable AudioMixer add the following to /Config/Windows/WindowsEngine.ini

[Audio]
AudioDeviceModuleName=AudioMixerXAudio2

jamesoloughlin
Level 3

Petroza said:

Hi James,

I haven't seen that warning but I found it by searching through the code. It looks like that will only happen if you're using the old XAudio based audio system. If possible I recommend using the new UE4 AudioMixer, it has more features and better plugin support. It should also fix that warning you're getting.


To enable AudioMixer add the following to /Config/Windows/WindowsEngine.ini

[Audio]
AudioDeviceModuleName=AudioMixerXAudio2


That fixed it! Thanks classic case of someone (me) ignoring the documentation.